Bug 207 - Xi Makefile.am cleanup
Summary: Xi Makefile.am cleanup
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/ICE (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-20 20:42 UTC by Carlos Romero
Modified: 2011-10-15 17:25 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
libXi Makefile.am (481 bytes, patch)
2004-02-21 15:18 UTC, Carlos Romero
no flags Details | Splinter Review
Xinerama Makefile.am (511 bytes, patch)
2004-02-21 15:19 UTC, Carlos Romero
no flags Details | Splinter Review

Description Carlos Romero 2004-02-20 20:42:52 UTC
--- libXi-6.0.1/Makefile.am.orig    2004-01-15 05:10:02.000000000 -0500
+++ libXi-6.0.1/Makefile.am     2004-02-20 23:26:15.000000000 -0500
@@ -1,10 +1,10 @@
 lib_LTLIBRARIES=libXi.la
  
-libXi_la_CFLAGS=-include config.h $(Xi_CFLAGS)
+libXi_la_CFLAGS=-include config.h $(XI_CFLAGS)
  
 libXi_la_LDFLAGS = -version-info 6:1:0 -no-undefined
  
-libXi_la_LIBADD = $(Xi_LIBS) -lXext
+libXi_la_LIBADD = @XI_LIBS@ -lXext
  
 libXi_la_SOURCES = \
        XAllowDv.c \
Comment 1 Carlos Romero 2004-02-21 15:18:34 UTC
Created attachment 102 [details] [review]
libXi Makefile.am
Comment 2 Carlos Romero 2004-02-21 15:19:21 UTC
Created attachment 103 [details] [review]
Xinerama Makefile.am
Comment 3 Warren Turkal 2004-02-21 15:22:36 UTC
I applied the patch and a relevant changelog entry. I fixed the same error in  
libXinerama also. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.